Subject: Re: [HACK] add sandpoint + flattened dt support to arch/powerpc/boot

From: Michael Ellerman <[email-masked]>
Date: Fri, 19 May 2006 10:49:25 +1000

On Thu, 2006-05-18 at 17:37 -0700, Mark A. Greer wrote:
> On Thu, May 18, 2006 at 08:47:01AM -0500, Matthew McClintock wrote:
> > On Wed, 2006-05-17 at 17:21 -0700, Mark A. Greer wrote:
> > > +void *
> > > +dt_find_prop_by_name(void *dt_blob, char *full_name, u32 *val_sizep) 
> > 
> > Is there a reason you are not using of_get_flat_dt_prop() instead of
> > implementing your own version?
> 
> Yes.  One is in the kernel, one isn't.  Or, are you asking why I didn't
> just copy the kernel code?  If so, I probably should have.
> 
> Hrm, we almost need a library of code shared between the kernel &
> the bootwrapper.  Sort of illegal but it would save duplicating code
> like the flat dt code.
> 
> Comments?

Yeah we do. And it's not illegal IMHO as two of our boot wrappers
(prom_init and the iSeries one) are linked with the kernel anyway.

I think you should write it ;)

cheers

-- 
Michael Ellerman
IBM OzLabs

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person